Opened 14 years ago

Closed 11 years ago

#2397 closed defect (fixed)

Back to back recording second recording skipped

Reported by: dhighley@… Owned by: Isaac Richards
Priority: minor Milestone: unknown
Component: mythtv Version: head
Severity: medium Keywords: skip recording
Cc: Ticket locked: no

Description

Using mythtv svn head 11193 Fedora core 5 dual Opteron with PVR 500. After figuring out the PVR set up issue and doing two simultaneous recordings I thought all was working. But I just found where two recording scheduled back to back the second recording was skipped. First recording 11:00PM to 1:00AM channel 59 Second recording 1:00AM to 4:00AM channel 66

Mythbackend log: 2006-09-14 23:50:15.804 Scheduled 28 items in 0.1 = 0.07 match + 0.05 place 2006-09-15 01:00:00.795 TVRec(1): Changing from RecordingOnly? to None 2006-09-15 01:00:00.881 Finished recording 20,000 Leagues Under the Sea: channel 1059 2006-09-15 01:00:00.973 Finished recording 20,000 Leagues Under the Sea: channel 1059 0: start_time: 0.036 duration: 647.696 1: start_time: 0.026 duration: 647.670 stream: start_time: 0.289 duration: 7196.734 bitrate=5189 kb/s 2006-09-15 01:00:01.121 AFD: Opened codec 0x7494c0, id(MPEG2VIDEO) type(Video) 2006-09-15 01:00:01.145 AFD: Opened codec 0x722890, id(MP2) type(Audio) 2006-09-15 01:00:01.171 Reschedule requested for id 0. 2006-09-15 01:00:01.365 Scheduled 27 items in 0.2 = 0.00 match + 0.19 place [mpeg2video @ 0x2aaaac1a1c50]invalid cbp at 16 3 [mpeg2video @ 0x2aaaac1a1c50]Warning MVs not available 2006-09-15 01:00:16.695 JobQueue?: Commercial Flagging Finished, 9 break(s) found. 0: start_time: 0.036 duration: 647.696 1: start_time: 0.026 duration: 647.670 stream: start_time: 0.289 duration: 7196.734 bitrate=5189 kb/s 2006-09-15 01:00:16.705 AFD: Opened codec 0x7492e0, id(MPEG2VIDEO) type(Video) 2006-09-15 01:00:16.706 AFD: Opened codec 0x6cfbd0, id(MP2) type(Audio) 2006-09-15 01:26:14.683 MainServer::HandleAnnounce? Monitor

Change History (9)

comment:1 Changed 14 years ago by dhighley@…

Two more notes on this. I'm using the ivtv 0.7.0 driver. In checking future schedules I noticed that two back to back scheduled recordings are assigned to the same tuner.

comment:2 Changed 13 years ago by josht76@…

Summary: Back to back recording second recording skipedBack to back recording second recording skipped

I thought i had this similar issue. I went back and looked a second time to see that the second recording in the back-to-back recordings were being flagged as live tv recordings although there is a schdule set to record that second show. I had this happen when i recorded the simpsons off fox at 7:00p and it got marked as the simpsons - default recording profile. The second recording, friends at 7:30 on the same channel gets marked as live tv, although it uses a schedule identical to the one setup to record the simpsons. This also causes the shows not to been seen correctly under mythweb and I think causes them to fall victim to the live tv rule to be dumped after 1 day (i increased my time to 7 days). I'm new to MythTV, but my guess would be something related to the channel not having to change to record the second show, or these recordings losing priority to events happening in the background (commflagg or a transcode possibly?) The schedule is set to record these shows at any time from any channel (loose schedule), but i have also noticied this when using an explicit record of two back-to-back programs.

RedSix?

comment:3 Changed 13 years ago by josht76@…

I'm using Ubuntu dapper and SVN MythTV

comment:4 Changed 13 years ago by dhighley@…

Still persists with svn 11499. It does not seem to be related to channels: 10:00PM-01:00AM channel 53 recorded 01:00AM-03:30AM channel 58 skipped 02:00AM-04:00AM channel 99 skipped, have not noticed one like this before

Log file: 2006-10-09 20:10:49.866 Using runtime prefix = /usr/local 2006-10-09 20:10:49.963 New DB connection, total: 1 2006-10-09 20:10:50.000 Connected to database 'mythconverg' at host: localhost 2006-10-09 20:10:50.003 Current Schema Version: 1163 2006-10-09 20:10:50.028 Newest Schema Version : 1164 2006-10-09 20:10:50.030 New DB connection, total: 2 2006-10-09 20:10:50.031 Connected to database 'mythconverg' at host: localhost 2006-10-09 20:10:50.032 Setting Lock for Database Schema upgrade. If you see a long pause here it means the Schema is already locked and is being upgraded by another Myth process. 2006-10-09 20:10:50.032 New DB connection, total: 3 2006-10-09 20:10:50.033 Connected to database 'mythconverg' at host: localhost 2006-10-09 20:10:50.034 Upgrading to schema version 1164 2006-10-09 20:10:50.064 New DB connection, total: 4 2006-10-09 20:10:50.068 Connected to database 'mythconverg' at host: localhost 2006-10-09 20:10:50.072 Database Schema upgrade complete, unlocking. Starting up as the master server. 2006-10-09 20:10:50.079 EITHelper: localtime offset -7:00:00 2006-10-09 20:10:50.138 EITHelper: localtime offset -7:00:00 2006-10-09 20:10:50.168 New DB scheduler connection 2006-10-09 20:10:50.169 Connected to database 'mythconverg' at host: localhost 2006-10-09 20:10:50.171 Main::Starting HttpServer? 2006-10-09 20:10:50.174 Main::Registering HttpStatus? Extension 2006-10-09 20:10:50.178 mythbackend version: 0.20.20061004-2 www.mythtv.org 2006-10-09 20:10:50.179 Enabled verbose msgs: important general 2006-10-09 20:10:50.180 AutoExpire?: Found 2 recorders w/max rate of 144 MiB/min 2006-10-09 20:10:50.184 AutoExpire?: Required Free Space: 3.1 GB w/freq: 10 min 2006-10-09 20:10:52.179 Reschedule requested for id -1. 2006-10-09 20:10:52.262 Scheduled 16 items in 0.1 = 0.07 match + 0.01 place 2006-10-09 20:10:52.264 Seem to be woken up by USER 2006-10-09 22:27:55.330 MainServer::HandleAnnounce? Monitor 2006-10-09 22:27:55.334 adding: douglas as a client (events: 0) 2006-10-09 22:27:59.756 MainServer::HandleAnnounce? Monitor 2006-10-09 22:27:59.760 adding: douglas as a client (events: 0) 2006-10-09 22:30:03.014 TVRec(1): Changing from None to RecordingOnly? 2006-10-09 22:30:03.023 TVRec(1): HW Tuner: 1->1 2006-10-09 22:30:03.146 Started recording: Behind Enemy Lines: channel 1053 on cardid 1, sourceid 1 2006-10-09 22:31:00.837 JobQueue?: Commercial Flagging Starting for Behind Enemy Lines recorded from channel 1053 at Mon Oct 9 22:30:00 2006 2006-10-09 22:31:01.044 Using runtime prefix = /usr/local 2006-10-09 22:31:01.091 New DB connection, total: 1 2006-10-09 22:31:01.108 Connected to database 'mythconverg' at host: localhost 2006-10-09 22:31:01.113 New DB connection, total: 2 2006-10-09 22:31:01.114 Connected to database 'mythconverg' at host: localhost 2006-10-09 22:31:01.252 Connecting to backend server: 127.0.0.1:6543 (try 1 of 5) 2006-10-09 22:31:01.254 Using protocol version 31 2006-10-09 22:31:01.255 MainServer::HandleAnnounce? Monitor 2006-10-09 22:31:01.257 adding: douglas as a client (events: 0) 2006-10-09 22:31:01.258 MainServer::HandleAnnounce? Monitor 2006-10-09 22:31:01.258 adding: douglas as a client (events: 1) 0: start_time: 0.036 duration: 5.105 1: start_time: 0.026 duration: 5.085 stream: start_time: 0.289 duration: 56.834 bitrate=5183 kb/s 2006-10-09 22:31:01.282 AFD: Opened codec 0x6576d0, id(MPEG2VIDEO) type(Video) 2006-10-09 22:31:01.298 AFD: Opened codec 0x6591a0, id(MP2) type(Audio) 2006-10-10 01:00:00.277 TVRec(1): Changing from RecordingOnly? to None 2006-10-10 01:00:00.324 Finished recording Behind Enemy Lines: channel 1053 2006-10-10 01:00:00.481 Finished recording Behind Enemy Lines: channel 1053 0: start_time: 0.036 duration: 809.651 1: start_time: 0.026 duration: 809.628 stream: start_time: 0.289 duration: 8996.232 bitrate=5189 kb/s 2006-10-10 01:00:00.616 AFD: Opened codec 0x7fb540, id(MPEG2VIDEO) type(Video) 2006-10-10 01:00:00.634 AFD: Opened codec 0x777960, id(MP2) type(Audio) 2006-10-10 01:00:01.065 Reschedule requested for id 0. 2006-10-10 01:00:01.206 Scheduled 15 items in 0.1 = 0.00 match + 0.14 place [mpeg2video @ 0x2aaaac1d91f0]Warning MVs not available 2006-10-10 01:00:15.121 JobQueue?: Commercial Flagging Finished, 11 break(s) found. 0: start_time: 0.036 duration: 809.651 1: start_time: 0.026 duration: 809.628 stream: start_time: 0.289 duration: 8996.232 bitrate=5189 kb/s 2006-10-10 01:00:15.136 AFD: Opened codec 0x2aaab09613c0, id(MPEG2VIDEO) type(Video) 2006-10-10 01:00:15.148 AFD: Opened codec 0x2aaab0961890, id(MP2) type(Audio) 2006-10-10 04:56:28.636 MainServer::HandleAnnounce? Monitor 2006-10-10 04:56:28.644 adding: douglas as a client (events: 0) 2006-10-10 04:58:55.548 MainServer::HandleAnnounce? Monitor 2006-10-10 04:58:55.555 adding: douglas as a client (events: 0)

comment:5 Changed 13 years ago by stuartm

Does the scheduler indicate that the second recording will occur or is it marked as a conflict?

Do you have any recording padding set?

comment:6 Changed 13 years ago by dhighley@…

I'm currently using svn 13239. I have not noticed this issue in quite a while. But I have seen where the cable schedule gets changed dropping out the program scheduled to be recorded and mythtv does not seem to log the change or remove the scheduled program or mark it as dropped from the schedule.

I never saw a conflict marked and I do not use padding.

comment:7 Changed 12 years ago by eric.bosch@…

I've noticed some of this behavior myself lately. If I watch live-tv and two recordings are scheduled back to back, the screen pops up asking to "Record and watch while recording" it defaults to "Record and watch". The next occurrence of this, it will default to "No, I want to watch TV" and will cancel the recording.

comment:8 Changed 12 years ago by maalamb@…

Back to Back recording problems

when recording three programs back to back on the same channel sometimes they will record, other times mythtv wants to reshedule the first and last programs due to "overlap".

This occurs when using the sheduled times eg 09:00-10:00, 10:00-11:00 and 11:00-12:00

Most days it works okay but not always

comment:9 Changed 11 years ago by Dibblah

Resolution: fixed
Status: newclosed

This should have been resolved in trunk through one of the many mythbackend communication changes recently. Please comment if not.

Note: See TracTickets for help on using tickets.